
package com.tmerclub.cloud.common.order.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serializable;
import java.util.List;

/**
 * 购物车物品参数
 *
 * @author tmerclub
 * @date 2020-12-04 11:27:35
 */
public class OrderSubmitShopCartItemDTO implements Serializable {
    public OrderSubmitShopCartItemDTO() {
    }

    public OrderSubmitShopCartItemDTO(Long userId, List<Long> shopCartItemIds) {
        this.userId = userId;
        this.shopCartItemIds = shopCartItemIds;
    }

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "购物车项id列表")
    private List<Long> shopCartItemIds;


    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public List<Long> getShopCartItemIds() {
        return shopCartItemIds;
    }

    public void setShopCartItemIds(List<Long> shopCartItemIds) {
        this.shopCartItemIds = shopCartItemIds;
    }

    @Override
    public String toString() {
        return "OrderSubmitShopCartItemDTO{" +
                "userId=" + userId +
                ", shopCartItemIds=" + shopCartItemIds +
                '}';
    }
}
